using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.Sessions.BatchDeleteAsync(new SessionsBatchDeleteParams
{
SessionNumbers = new string[] { "1001", "1002", "1003" },
});
Console.WriteLine(JsonSerializer.Serialize(result));
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.Sessions.BatchDeleteAsync(new SessionsBatchDeleteParams
{
SessionNumbers = new string[] { "1001", "1002", "1003" },
});
Console.WriteLine(JsonSerializer.Serialize(result));
curl -X POST https://verification.didit.me/v3/sessions/delete/ \ -H "x-api-key: YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{"delete_all": true}'# More than 20 sessions matched: the response is 202 with a job_id.curl https://verification.didit.me/v3/sessions/delete/JOB_ID/ \ -H "x-api-key: YOUR_API_KEY"
今回のリリースまで、このエンドポイントは204 No Contentを返していました。現在は、results[]を含む200 OKを返すか、一致するセッションが20件を超える場合は削除ジョブを含む202 Acceptedを返します。204を前提としているクライアントは更新してください。デフォルトの削除動作は変わりません。既存のアプリケーションでは、ポリシーを明示的に変更するまでdelete_with_sessionが適用されます。
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Didit Docs","description":"The best way to integrate identity and fraud checks into your app. One API, four product lines (KYC · KYB · Transaction Monitoring · Wallet Screening), 220+ countries, 14,000+ documents, sub-2s inference, $10 free credit/month.","colors":{"primary":"#2567FF","light":"#90B1FF","dark":"#1B4FE0"},"logo":{"light":"https://mintcdn.com/didit-0f962782/dCzNNoYCusBNdK3I/logo/didit.svg?fit=max\u0026auto=format\u0026n=dCzNNoYCusBNdK3I\u0026q=85\u0026s=9f162fb8295fa1fd9300a24b293ce0b7","dark":"https://mintcdn.com/didit-0f962782/TefoKXCbZA_GIK5a/logo/didit-logo-wordmark-white.svg?fit=max\u0026auto=format\u0026n=TefoKXCbZA_GIK5a\u0026q=85\u0026s=c8c541689c814ca6a2c873cf6185a3a7","href":"https://docs.didit.me"},"favicon":"https://mintcdn.com/didit-0f962782/t6r0B-WdGMU5mSS-/favicon.ico?fit=max\u0026auto=format\u0026n=t6r0B-WdGMU5mSS-\u0026q=85\u0026s=b291917b960ebe959ae3b1aa233eafa8","api":{"examples":{"prefill":true},"mdx":{"auth":{"method":"key","name":"x-api-key"},"server":"https://verification.didit.me"}},"background":{"color":{"light":"#FFFFFF","dark":"#1A1A1A"}},"navbar":{"links":[{"icon":"comment-dots","href":"https://help.didit.me","label":"Support"},{"icon":"signal","href":"https://status.didit.me","label":"Status"}],"primary":{"type":"button","label":"Sign in","href":"https://business.didit.me"}},"footer":{"socials":{"x":"https://x.com/didit","github":"https://github.com/didit-protocol","linkedin":"https://linkedin.com/company/91001155","website":"https://didit.me"}},"search":{"prompt":"Search Didit docs..."},"seo":{"metatags":{"twitter:site":"@didit","theme-color":"#2567FF","apple-mobile-web-app-title":"Didit Docs"},"organization":{"id":"https://didit.me/#organization","name":"Didit","legalName":"Didit Protocol","url":"https://didit.me","logo":"https://didit.me/logos/primary-horizontal-light.png","sameAs":["https://www.linkedin.com/company/91001155","https://www.youtube.com/@getdidit","https://github.com/didit-protocol","https://x.com/didit"]},"indexing":"navigable"},"fonts":{"heading":{"family":"Inter","weight":500},"body":{"family":"Inter","weight":400}},"errors":{"404":{"redirect":false,"title":"Page not found","description":"This page moved or never existed. [Back to docs](/)"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"thumbnails":{"appearance":"light","background":"https://mintcdn.com/didit-0f962782/Xkecx-xLq1K2abHK/images/og-thumbnail-backplate.png?fit=max\u0026auto=format\u0026n=Xkecx-xLq1K2abHK\u0026q=85\u0026s=c699fa252554b2ac8d4c631e209a1473","fonts":{"family":"Inter"}},"metadata":{"timestamp":true},"styling":{"latex":true},"navigation":{"languages":[{"language":"en","href":""},{"language":"es","navbar":{"links":[{"icon":"comment-dots","href":"https://help.didit.me","label":"Soporte"},{"icon":"signal","href":"https://status.didit.me","label":"Estado"}],"primary":{"type":"button","label":"Iniciar sesión","href":"https://business.didit.me"}},"href":"es"},{"language":"pt-BR","navbar":{"links":[{"icon":"comment-dots","href":"https://help.didit.me","label":"Suporte"},{"icon":"signal","href":"https://status.didit.me","label":"Status"}],"primary":{"type":"button","label":"Entrar","href":"https://business.didit.me"}},"href":"pt-br"},{"language":"ja","navbar":{"links":[{"icon":"comment-dots","href":"https://help.didit.me","label":"サポート"},{"icon":"signal","href":"https://status.didit.me","label":"ステータス"}],"primary":{"type":"button","label":"サインイン","href":"https://business.didit.me"}},"href":"ja"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"didit-0f962782","hasAudioNarration":false,"actualSubdomain":"didit-0f962782","customDomains":["docs.didit.me"],"gitSource":{"type":"github","owner":"didit-protocol","repo":"mintlify-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae6fa1c62ef36be88636f75","collectionId":"50020d30-4212-40ce-b44f-967797e5972b","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae6fa1c62ef36be88636f75"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae71ae0a0d878501ab6c761","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"es","tag":"Referencia de la API","count":432},{"language":"ja","tag":"APIリファレンス","count":432},{"language":"pt-BR","tag":"Referência da API","count":432},{"language":"en","tag":"API Reference","count":424},{"language":"en","tag":"Database Validation","count":129},{"language":"es","tag":"Validación de base de datos","count":129},{"language":"ja","tag":"データベース検証","count":129},{"language":"pt-BR","tag":"Validação de banco de dados","count":129},{"language":"es","tag":"Primeros pasos","count":93},{"language":"ja","tag":"はじめに","count":93},{"language":"pt-BR","tag":"Primeiros passos","count":93},{"language":"en","tag":"Get Started","count":87},{"language":"en","tag":"User Verification","count":74},{"language":"es","tag":"Verificación de usuarios","count":74},{"language":"ja","tag":"ユーザー認証","count":74},{"language":"pt-BR","tag":"Verificação de usuários","count":74},{"language":"en","tag":"Integrate / SDKs","count":62},{"language":"es","tag":"Integración / SDKs","count":62},{"language":"ja","tag":"連携 / SDK","count":62},{"language":"pt-BR","tag":"Integração / SDKs","count":62},{"language":"en","tag":"Travel Rule","count":55},{"language":"es","tag":"Travel Rule","count":55},{"language":"ja","tag":"トラベルルール","count":55},{"language":"pt-BR","tag":"Travel Rule","count":55},{"language":"en","tag":"Verification","count":48},{"language":"es","tag":"Verificación","count":48},{"language":"ja","tag":"検証","count":48},{"language":"pt-BR","tag":"Verificação","count":48},{"language":"en","tag":"Authentication","count":37},{"language":"es","tag":"Autenticación","count":37},{"language":"ja","tag":"認証","count":37},{"language":"pt-BR","tag":"Autenticação","count":37},{"language":"en","tag":"Digital ID wallets","count":35},{"language":"en","tag":"User and Business Verifications","count":35},{"language":"es","tag":"Wallets de identidad digital","count":35},{"language":"es","tag":"Verificaciones de usuarios y empresas","count":35},{"language":"ja","tag":"デジタルIDウォレット","count":35},{"language":"ja","tag":"ユーザーと企業の認証","count":35},{"language":"pt-BR","tag":"Carteiras de identidade digital","count":35},{"language":"pt-BR","tag":"Verificações de usuários e empresas","count":35}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","href":"/_mintlify/custom/didit-0f962782/e74dc7c3efa9e767/style.css"}],"page":{"pagePath":"ja/management-api/sessions/batch-delete","slug":"/ja/management-api/sessions/batch-delete","pageMetadata":{"title":"セッション一括削除API:KYCセッションの整理","sidebarTitle":"セッションの一括削除","keywords":["セッション 一括削除","セッション削除 API","KYCセッション 管理","セッションAPI","GDPR セッション削除","生体認証テンプレート 保持","Didit Management API","本人確認 API","従量課金 KYC","セッション管理 自動化"],"description":"DiditのセッションAPIで、KYCセッションをセッション番号指定または全件まとめて削除できます。20件までは各セッションの結果を返し、それ以上は削除ジョブとして実行され、ポーリングで進捗を確認します。","openapi":"ja/openapi-25.json POST /v3/sessions/delete/","href":"/ja/management-api/sessions/batch-delete"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"DiditのセッションAPIで、KYCセッションをセッション番号指定または全件まとめて削除できます。20件までは各セッションの結果を返し、それ以上は削除ジョブとして実行され、ポーリングで進捗を確認します。\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];const __snippet_AGENT_PROMPT_LABELS_1j2ntij={en:{copy:`Copy`,copied:`Copied`,copyTitle:`Copy prompt to clipboard`,copiedTitle:`Copied!`,pasteInto:`Paste into`},es:{copy:`Copiar`,copied:`Copiado`,copyTitle:`Copiar el prompt al portapapeles`,copiedTitle:`¡Copiado!`,pasteInto:`Pegar en`},\"pt-BR\":{copy:`Copiar`,copied:`Copiado`,copyTitle:`Copiar o prompt para a área de transferência`,copiedTitle:`Copiado!`,pasteInto:`Colar em`},ja:{copy:`コピー`,copied:`コピーしました`,copyTitle:`プロンプトをクリップボードにコピー`,copiedTitle:`コピーしました`,pasteInto:`貼り付け先`}};const AgentPromptAccordion=({prompt,title=`AI Agent Integration Prompt`,lang=`en`})=>{const[copied,setCopied]=React.useState(false);const labels=__snippet_AGENT_PROMPT_LABELS_1j2ntij[lang]||__snippet_AGENT_PROMPT_LABELS_1j2ntij.en;const handleCopy=e=>{e.stopPropagation();if(!prompt)return;navigator.clipboard.writeText(prompt.trim()).then(()=>{setCopied(true);setTimeout(()=>setCopied(false),2e3)})};const agents=[`Claude Code`,`Codex`,`Cursor`,`Devin`,`Windsurf`,`GitHub Copilot`];return _jsxs(`div`,{className:`didit-agent-card`,children:[_jsxs(`div`,{className:`didit-agent-titlebar`,children:[_jsxs(`div`,{className:`didit-agent-dots`,\"aria-hidden\":`true`,children:[_jsx(`span`,{className:`didit-agent-dot didit-agent-dot-red`}),_jsx(`span`,{className:`didit-agent-dot didit-agent-dot-yellow`}),_jsx(`span`,{className:`didit-agent-dot didit-agent-dot-green`})]}),_jsx(`span`,{className:`didit-agent-filename`,children:title}),_jsx(`button`,{type:`button`,className:`didit-agent-copy ${copied?`didit-agent-copy-copied`:``}`,onClick:handleCopy,title:labels.copyTitle,\"aria-label\":copied?labels.copiedTitle:labels.copyTitle,children:copied?_jsxs(_Fragment,{children:[_jsx(`svg`,{width:`13`,height:`13`,viewBox:`0 0 16 16`,fill:`none`,children:_jsx(`path`,{d:`M3 8.5l3.5 3.5L13 4`,stroke:`currentColor`,strokeWidth:`2`,strokeLinecap:`round`,strokeLinejoin:`round`})}),_jsx(`span`,{children:labels.copied})]}):_jsxs(_Fragment,{children:[_jsxs(`svg`,{width:`13`,height:`13`,viewBox:`0 0 16 16`,fill:`none`,children:[_jsx(`rect`,{x:`5`,y:`5`,width:`9`,height:`9`,rx:`1.5`,stroke:`currentColor`,strokeWidth:`1.5`}),_jsx(`path`,{d:`M11 5V3.5A1.5 1.5 0 0 0 9.5 2h-6A1.5 1.5 0 0 0 2 3.5v6A1.5 1.5 0 0 0 3.5 11H5`,stroke:`currentColor`,strokeWidth:`1.5`})]}),_jsx(`span`,{children:labels.copy})]})})]}),_jsx(`pre`,{className:`didit-agent-body`,children:_jsx(`code`,{children:prompt.trim()})}),_jsxs(`div`,{className:`didit-agent-footer`,children:[_jsx(`span`,{className:`didit-agent-footer-label`,children:labels.pasteInto}),_jsx(`div`,{className:`didit-agent-chips`,children:agents.map(name=>_jsx(`span`,{className:`didit-agent-chip`,children:name},name))})]})]})};function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Heading,Tab,Table,Tabs,_MdxComponentBoundary}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Tab)_missingMdxReference(`Tab`,true);if(!Table)_missingMdxReference(`Table`,true);if(!Tabs)_missingMdxReference(`Tabs`,true);if(!_MdxComponentBoundary)_missingMdxReference(`_MdxComponentBoundary`,true);return _jsxs(_Fragment,{children:[_jsx(_MdxComponentBoundary,{name:`AgentPromptAccordion`,children:_jsx(AgentPromptAccordion,{lang:`ja`,title:`セッション一括削除のプロンプト`,prompt:`Goal: Delete a list of User Verification (KYC) sessions, or every session, for the calling application, and control what happens to each session's face biometric data. KYC only — KYB sessions are not covered here; use DELETE /v3/session/{sessionId}/delete/ for a single KYB or KYC session.\n\nEndpoint: POST https://verification.didit.me/v3/sessions/delete/\nAuth header: x-api-key: YOUR_API_KEY\nContent-Type: application/json\n\nRequest body — provide EXACTLY ONE selector:\n- session_numbers: string[] — UI-visible decimal session numbers (\"#1234\" style), NOT UUIDs. Each entry must be digits only (regex ^[0-9]+$). minItems: 1.\n- delete_all: true — delete every remaining KYC session for the application. When delete_all is true, session_numbers is ignored.\n\nNarrowing delete_all (optional, only together with delete_all: true):\n- filter_\u003cname> - any filter of GET /v3/sessions/ (see /sessions-api/list-sessions) prefixed with filter_, with the same values: filter_status, filter_workflow_id, filter_date_from, filter_date_to, filter_vendor_data, filter_country, filter_document_type, filter_warning, filter_search and the others. Filters that take several values in GET /v3/sessions/ (status, workflow_id, country, region, document_type, document_name, session_type, warning, organization_name) accept a comma-separated string or an array. The others take one value: an array is joined into one comma-separated value, so several dates, UUIDs or api_service values are refused with 400, and several texts are not matched as alternatives. An empty value is ignored and does not narrow the selection.\n- An unknown filter_* key returns 400 { \"filter_\u003cname>\": \"Unknown filter.\" } and a value that cannot be read returns 400 keyed by that filter_* key (for example { \"filter_date_from\": [\"Enter a valid date.\"] }). Nothing is deleted in either case.\n- A deletion job applies the same filters.\n\nOptional retention and instruction fields (same semantics as the single-session endpoint, applied to every matched session):\n- retain_face_embeddings (boolean | null) — true keeps an image-free biometric template anchored to each session's User; false deletes the embedding with the session; omit/null follows the application's face_retention_policy.\n- face_retention_days (integer 1-3650) — required when retaining unless the application sets face_retention_days.\n- face_retention_deadline (ISO 8601 datetime, future) — optional hard expiry.\n- deletion_instruction (\"operational_session_delete\" default | \"privacy_erasure\") — privacy_erasure purges every retained template for each session's User and never retains a new one. Cannot be combined with retain_face_embeddings: true (400).\n- instruction_id (string, max 255) — your durable reference for this instruction; recorded on the audit trail and on every retained template.\n\ncurl:\ncurl -X POST 'https://verification.didit.me/v3/sessions/delete/' \\\\\n-H \"x-api-key: YOUR_API_KEY\" \\\\\n-H 'Content-Type: application/json' \\\\\n-d '{\"session_numbers\": [\"1001\", \"1002\", \"1003\"]}'\n\nResponse: the number of matching sessions decides, whether they are selected by session_numbers or with delete_all.\n\nUp to 20 matching sessions: they are deleted in the request. Response 200 (this endpoint no longer returns 204):\n{\n\"results\": [\n{\"session_id\": \"\u003cuuid>\", \"session_number\": 1001, \"face_retention_outcome\": \"deleted\", \"biometric_template_uuid\": null, \"biometric_template_expires_at\": null, \"deleted_child_verifications\": 0},\n{\"session_id\": \"\u003cuuid>\", \"session_number\": 1002, \"face_retention_outcome\": \"retained_with_user\", \"biometric_template_uuid\": \"\u003cuuid>\", \"biometric_template_expires_at\": \"\u003cISO 8601 datetime>\", \"deleted_child_verifications\": 0},\n{\"session_id\": \"\u003cuuid>\", \"session_number\": 1003, \"face_retention_outcome\": \"failed_retryable\", \"biometric_template_uuid\": null, \"biometric_template_expires_at\": null, \"deleted_child_verifications\": 0}\n]\n}\nface_retention_outcome per session:\n- deleted: session and face embedding deleted (default).\n- retained_with_user: session deleted; an image-free biometric template stays anchored to the User until biometric_template_expires_at (manage it via /v3/biometric-templates/).\n- none: the session had no face embedding.\n- ineligible_no_vendor_user: retention requested but the session has no linked User; session and embedding deleted.\n- failed_retryable: the group this session was deleted with could not be deleted (a storage service, a biometric store or a monitoring provider was unavailable). That session is NOT deleted and is still in place; re-run the request for it. Other groups in the same request are unaffected.\ndeleted_child_verifications is always 0 here: this endpoint deletes KYC sessions only.\n\nMore than 20 matching sessions: they are deleted in the background. Response 202 with a deletion job:\n{\"job_id\": \"\u003cuuid>\", \"status\": \"PENDING\", \"total\": 250, \"processed\": 0, \"outcomes\": {\"deleted\": 0, \"none\": 0, \"retained_with_user\": 0, \"ineligible_no_vendor_user\": 0, \"failed_retryable\": 0, \"already_deleted\": 0}, \"deleted_child_verifications\": 0, \"error\": null, \"created_at\": \"\u003cdatetime>\", \"completed_at\": null}\nPoll GET /v3/sessions/delete/{job_id}/ every few seconds until status is COMPLETED or FAILED. The job reports counts per outcome, never which sessions it deleted. A delete_all job deletes only the sessions created before the request. A FAILED job explains why in error; the sessions it had not reached are still in place, so repeat the request to delete them.\n\nSide effects:\n- Each matched session is deleted along with everything it produced, including every verification attempt: its decision, its extracted data, its KYC / Face / AML / Location / POA / Phone / Email records, its reviews and activity log, and all of its stored files.\n- The sessions stop appearing in GET /v3/sessions/ and GET /v3/session/{sessionId}/decision/, and media URLs issued before the call stop resolving.\n- Webhook deliveries still queued for the deleted sessions, and their retries, are dropped. Webhooks already delivered are not affected.\n- Share tokens issued for the sessions are NOT revoked, but there is nothing left for them to import: an import with one returns 400 {\"share_token\": [\"Original session does not exist.\"]}.\n- Blocklist entries created from the sessions are NOT removed.\n- Credits already consumed by the verifications are NOT refunded.\n- The parent User entities are NOT deleted; use POST /v3/users/delete/ for those (that also purges their retained templates).\n- NO deletion webhook is emitted.\n- Sessions are deleted in groups; a failure in one group does not roll back the others. Numbers that no longer match a live session are skipped and do not appear in results.\n\nIdempotency: re-running with the same session_numbers deletes nothing more (numbers that no longer match a session are skipped). Deletion is permanent and cannot be undone.\n\nFailure modes:\n- 400: validation, nothing deleted:\n{ \"session_numbers\": [\"This field is required unless delete_all is true.\"] }\n{ \"session_numbers\": [\"All session_numbers must be numeric.\"] }\n{ \"retain_face_embeddings\": [\"Privacy erasure cannot retain biometric templates.\"] }\n{ \"detail\": \"A finite biometric-template retention duration is required.\" }\n{ \"filter_reviewer\": \"Unknown filter.\" }\n{ \"filter_date_from\": [\"Enter a valid date.\"] }\n- 409: at least one selected session is part of a finalized regulatory report. Nothing is deleted. The body has code: in_filed_report and reports[] with uuid, report_number, report_type and case_uuid. Delete the reports, then repeat the request.\n- 403: API key invalid or application not allowed. { \"detail\": \"You do not have permission to perform this action.\" }\n\nMigration note: until this release the endpoint returned 204 with an empty body; it now returns 200 with results[], or 202 with a deletion job when more than 20 sessions match. Existing applications stay on delete_with_session until you explicitly change the policy.\n\nFor end-to-end Didit integration, paste in the full prompt at /integration/integration-prompt.`})}),`\n`,_jsx(Heading,{level:`2`,id:`動作`,children:`動作`}),`\n`,_jsxs(_components.p,{children:[`一致した各セッションは、`,_jsx(_components.a,{href:`/ja/sessions-api/delete-session`,children:`セッションの削除`}),`とまったく同じ方法で削除されます。セッション、そのセッションが保持するすべての認証試行、判定と抽出データ、機能レコード、保存されているすべてのファイルが削除され、セッションはすべての読み取りエンドポイントから表示されなくなり、発行済みのメディアURLは解決できなくなります。削除されたセッションについてキューに残っているWebhookの配信とその再試行は破棄されます。配信済みのWebhookには影響しません。削除は永続的であり、元に戻すことはできません。`]}),`\n`,_jsxs(_components.p,{children:[`選択したセッションのいずれかが確定済みの規制当局向けレポートに含まれている場合、リクエスト全体が`,_jsx(_components.code,{children:`409`}),`を返し、何も削除されません。レスポンスには`,_jsx(_components.code,{children:`code: in_filed_report`}),`が含まれ、該当する各レポートが示されます。`,_jsx(_components.a,{href:`/ja/management-api/regulatory-reports/delete`,children:`レポートの削除`}),`で各レポートを削除してから、リクエストを再度実行してください。レポートを削除してもセッションは削除されません。このリクエストを再度実行するまで、セッションは残ります。`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.code,{children:`session_numbers`}),`と`,_jsx(_components.code,{children:`delete_all`}),`のどちらで選択した場合でも、一致するセッションの件数によってリクエストへの応答方法が決まります。`]}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`一致するセッション`}),_jsx(_components.th,{children:`レスポンス`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`20件以下`}),_jsxs(_components.td,{children:[`削除完了後に`,_jsx(_components.code,{children:`200 OK`}),`を返し、`,_jsx(_components.code,{children:`results`}),`には一致したセッションごとに1件の結果が含まれます。`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`20件超`}),_jsxs(_components.td,{children:[`削除ジョブとともに`,_jsx(_components.code,{children:`202 Accepted`}),`を返します。セッションはバックグラウンドで削除されます。完了するまで`,_jsx(_components.a,{href:`/ja/management-api/sessions/get-deletion-job`,children:`セッション削除ジョブの取得`}),`をポーリングしてください。`]})]})]})]}),`\n`,_jsxs(_components.p,{children:[`結果はセッションが削除されたことを示しますが、`,_jsx(_components.code,{children:`face_retention_outcome`}),`が`,_jsx(_components.code,{children:`failed_retryable`}),`の場合は例外です。そのセッションは削除`,_jsx(_components.strong,{children:`されておらず`}),`、そのまま残っています。そのため、この結果は再試行すべき失敗として扱い、決して削除の確認として扱わないでください。\nアプリケーション内の現在存在するKYCセッションに一致しない番号はスキップされ、`,_jsx(_components.code,{children:`results`}),`には含まれません。`]}),`\n`,_jsxs(Heading,{level:`2`,id:`フィルターによるdelete_allの絞り込み`,children:[`フィルターによる`,_jsx(_components.code,{children:`delete_all`}),`の絞り込み`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.code,{children:`delete_all: true`}),`を指定すると、`,_jsx(_components.a,{href:`/ja/sessions-api/list-sessions`,children:`セッションの一覧取得`}),`のフィルターに`,_jsx(_components.code,{children:`filter_`}),`を接頭辞として付けて、選択対象を絞り込めます。\nこれらのフィルターには、クエリパラメーターと同じ値を指定します。\n複数の値を受け付けるフィルター(`,_jsx(_components.code,{children:`status`}),`、`,_jsx(_components.code,{children:`workflow_id`}),`、`,_jsx(_components.code,{children:`country`}),`、`,_jsx(_components.code,{children:`region`}),`、`,_jsx(_components.code,{children:`document_type`}),`、`,_jsx(_components.code,{children:`document_name`}),`、`,_jsx(_components.code,{children:`session_type`}),`、`,_jsx(_components.code,{children:`warning`}),`、`,_jsx(_components.code,{children:`organization_name`}),`)には、カンマ区切りの文字列または配列を指定できます。`]}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`7`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`7`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"delete_all\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"filter_status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Declined\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"filter_workflow_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"3fa85f64-5717-4562-b3fc-2c963f66afa6\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"filter_date_from\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-09-01\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"filter_date_to\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-09-30\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`フィルターは`,_jsx(_components.code,{children:`delete_all`}),`と組み合わせた場合にのみ適用されます。`,_jsx(_components.code,{children:`session_numbers`}),`と組み合わせた場合、フィルターは検証されますが、選択対象は変わりません。`]}),`\n`,_jsxs(_components.li,{children:[`その他のフィルターはすべて1つの値のみを受け付けます。\n配列はカンマ区切りの1つの値に結合されるため、複数の日付、UUID、`,_jsx(_components.code,{children:`api_service`}),`の値を指定すると`,_jsx(_components.code,{children:`400`}),`が返され、複数の`,_jsx(_components.code,{children:`vendor_data`}),`、`,_jsx(_components.code,{children:`search`}),`、`,_jsx(_components.code,{children:`screened_full_name`}),`のテキストは、いずれかに一致すればよい条件としては照合されません。`]}),`\n`,_jsx(_components.li,{children:`値が空のフィルターは無視されるため、選択対象は絞り込まれません。`}),`\n`,_jsxs(_components.li,{children:[`不明な`,_jsx(_components.code,{children:`filter_*`}),`キーを指定すると`,_jsx(_components.code,{children:`400`}),` `,_jsx(_components.code,{children:`{\"filter_reviewer\": \"Unknown filter.\"}`}),`が返され、解釈できない値を指定すると、`,_jsx(_components.code,{children:`{\"filter_date_from\": [\"Enter a valid date.\"]}`}),`のように`,_jsx(_components.code,{children:`400`}),`が返され、そのレスポンスは該当する`,_jsx(_components.code,{children:`filter_*`}),`キーをキーとします。\nいずれの場合も何も削除されないため、フィルターの入力ミスによって削除対象がすべてのセッションに広がることはありません。`]}),`\n`,_jsxs(_components.li,{children:[`削除ジョブにも同じフィルターが適用され、他のすべての`,_jsx(_components.code,{children:`delete_all`}),`と同様に、リクエストより前に作成されたセッションのみが対象となります。`]}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`保持および指示のフィールド`,children:`保持および指示のフィールド`}),`\n`,_jsx(_components.p,{children:`このエンドポイントは、単一セッションのエンドポイントと同じ任意のフィールドを受け付け、一致したすべてのセッションに適用します。`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`フィールド`}),_jsx(_components.th,{children:`型`}),_jsx(_components.th,{children:`説明`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`retain_face_embeddings`})}),_jsx(_components.td,{children:`booleanまたはnull`}),_jsxs(_components.td,{children:[`このリクエストについて、アプリケーションの`,_jsx(_components.code,{children:`face_retention_policy`}),`を上書きします。`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`face_retention_days`})}),_jsx(_components.td,{children:`integer (1-3650)`}),_jsxs(_components.td,{children:[`保持するテンプレートの期限付きの保持期間です。保持する場合は必須です。ただし、アプリケーションで`,_jsx(_components.code,{children:`face_retention_days`}),`が設定されている場合は除きます。`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`face_retention_deadline`})}),_jsx(_components.td,{children:`datetime (ISO 8601)`}),_jsx(_components.td,{children:`任意の保持期限の上限で、未来の日時である必要があります。`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`deletion_instruction`})}),_jsxs(_components.td,{children:[_jsx(_components.code,{children:`operational_session_delete`}),`(デフォルト)または`,_jsx(_components.code,{children:`privacy_erasure`})]}),_jsxs(_components.td,{children:[_jsx(_components.code,{children:`privacy_erasure`}),`は、セッションを削除する前に、各セッションのユーザーについて保持されているすべてのテンプレートを完全に消去します。`,_jsx(_components.code,{children:`retain_face_embeddings: true`}),`と組み合わせることはできません。`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`instruction_id`})}),_jsx(_components.td,{children:`string (最大255)`}),_jsx(_components.td,{children:`この指示に対する永続的な参照IDです。監査証跡と保持されるすべてのテンプレートに記録されます。`})]})]})]}),`\n`,_jsxs(_components.p,{children:[`保持されるテンプレートに含まれるものと含まれないもの、`,_jsx(_components.code,{children:`expires_at`}),`の算出方法、プライバシー消去の指示の動作については、`,_jsx(_components.a,{href:`/ja/sessions-api/delete-session#%E9%A1%94%E3%81%AE%E7%94%9F%E4%BD%93%E8%AA%8D%E8%A8%BC%E3%83%87%E3%83%BC%E3%82%BF-%E5%89%8A%E9%99%A4%E3%81%BE%E3%81%9F%E3%81%AF%E4%BF%9D%E6%8C%81`,children:`セッションの削除`}),`を参照してください。`]}),`\n`,_jsx(Heading,{level:`2`,id:`セッションごとの結果`,children:`セッションごとの結果`}),`\n`,_jsxs(_components.p,{children:[`最大20件の一致するセッションについて、`,_jsx(_components.code,{children:`200 OK`}),`はセッションごとに1件の結果を返します。`]}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`8`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`8`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"results\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"session_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"4c5c7f3a-3b1d-4b7e-9c39-2b4f7e6a1d02\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"session_number\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1001`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"face_retention_outcome\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"deleted\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"biometric_template_uuid\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"biometric_template_expires_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"deleted_child_verifications\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"session_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"b8e1d2c3-4f5a-4b6c-8d7e-9f0a1b2c3d4e\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"session_number\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1002`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"face_retention_outcome\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"retained_with_user\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"biometric_template_uuid\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"9d2f4b6e-1c3a-4e8f-b7d5-0a1c2e3f4a5b\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"biometric_template_expires_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2027-10-09T10:15:00Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"deleted_child_verifications\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"session_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"7a1e9c2d-5f4b-4c3a-8e2d-1b0a9f8e7d6c\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"session_number\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1003`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"face_retention_outcome\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"ineligible_no_vendor_user\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"biometric_template_uuid\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"biometric_template_expires_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"deleted_child_verifications\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"session_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"session_number\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1004`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"face_retention_outcome\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"failed_retryable\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"biometric_template_uuid\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"biometric_template_expires_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"deleted_child_verifications\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsxs(_components.p,{children:[`各結果には、`,_jsx(_components.a,{href:`/ja/sessions-api/delete-session#%E3%83%AC%E3%82%B9%E3%83%9D%E3%83%B3%E3%82%B9`,children:`セッションの削除`}),`のレスポンスと同じフィールドが含まれます。`,_jsx(_components.code,{children:`biometric_template_expires_at`}),`は保持されたテンプレートが削除される日時です。このエンドポイントはKYCセッションのみを削除するため、ここでは`,_jsx(_components.code,{children:`deleted_child_verifications`}),`は常に`,_jsx(_components.code,{children:`0`}),`です。`]}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:_jsx(_components.code,{children:`face_retention_outcome`})}),_jsx(_components.th,{children:`意味`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`deleted`})}),_jsx(_components.td,{children:`セッションとその顔エンベディングが削除されます。デフォルトの動作です。`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`retained_with_user`})}),_jsxs(_components.td,{children:[`セッションは削除されます。画像を含まない生体認証テンプレートが1件、ユーザーに紐付いて残ります。そのIDは`,_jsx(_components.code,{children:`biometric_template_uuid`}),`です。`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`none`})}),_jsx(_components.td,{children:`セッションには、削除または保持する顔エンベディングがありませんでした。`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`ineligible_no_vendor_user`})}),_jsx(_components.td,{children:`保持がリクエストされましたが、セッションがユーザーに紐付いていないため、テンプレートを紐付ける先がありません。セッションとそのエンベディングは削除されます。`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`failed_retryable`})}),_jsxs(_components.td,{children:[`ストレージサービス、生体認証ストア、またはモニタリングプロバイダーが利用できなかったため、このセッションを含むグループを削除できませんでした。このセッションは削除`,_jsx(_components.strong,{children:`されておらず`}),`、そのまま残っています。このセッションについてリクエストを再実行してください。再試行しても、テンプレートは1件に集約されます。`]})]})]})]}),`\n`,_jsxs(_components.p,{children:[`セッションはグループ単位で削除されます。グループを削除できなかった場合、そのグループ内のすべてのセッションが`,_jsx(_components.code,{children:`failed_retryable`}),`として報告されます。他のグループには影響せず、削除された状態のままです。`]}),`\n`,_jsx(Heading,{level:`2`,id:`多数のセッションを選択した場合はジョブとして実行されます`,children:`多数のセッションを選択した場合はジョブとして実行されます`}),`\n`,_jsxs(_components.p,{children:[`20件を超えるセッションが一致する場合、レスポンスは`,_jsx(_components.code,{children:`results`}),`ではなく、削除ジョブを含む`,_jsx(_components.code,{children:`202 Accepted`}),`になります。`]}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`11`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`11`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"job_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"5b8f2c1e-7d3a-4f6b-9e2c-1a0d8f7e6c5b\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"PENDING\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"total\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`250`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"processed\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"outcomes\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"deleted\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"none\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"retained_with_user\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"ineligible_no_vendor_user\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"failed_retryable\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"already_deleted\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"deleted_child_verifications\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-10-09T10:15:00Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"completed_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.code,{children:`status`}),`が`,_jsx(_components.code,{children:`COMPLETED`}),`または`,_jsx(_components.code,{children:`FAILED`}),`になるまで、数秒ごとに`,_jsx(_components.a,{href:`/ja/management-api/sessions/get-deletion-job`,children:`セッション削除ジョブの取得`}),`をポーリングしてください。`]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`ジョブは結果ごとのセッション件数を報告しますが、どのセッションを削除したかは報告しません。`}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`delete_all`}),`ジョブは、リクエストより前に作成されたセッションのみを削除します。ジョブの実行中に開始されたセッションは削除されません。`]}),`\n`,_jsx(_components.li,{children:`リクエストの保持フィールドと指示フィールドは、ジョブが削除するすべてのセッションに適用されます。`}),`\n`,_jsx(_components.li,{children:`グループをまだ削除できない場合、ジョブはそのグループを自動的に再試行します。`}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`FAILED`}),`になったジョブは、その理由を`,_jsx(_components.code,{children:`error`}),`で示します。ジョブがまだ処理していないセッションはそのまま残っているため、リクエストを再度送信して削除してください。`]}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`例`,children:`例`}),`\n`,_jsxs(Tabs,{children:[_jsx(Tab,{title:`セッション番号で削除`,id:`%E3%82%BB%E3%83%83%E3%82%B7%E3%83%A7%E3%83%B3%E7%95%AA%E5%8F%B7%E3%81%A7%E5%89%8A%E9%99%A4`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`4`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`4`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://verification.didit.me/v3/sessions/delete/`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"x-api-key: YOUR_API_KEY\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Content-Type: application/json\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -d`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{\"session_numbers\": [\"1001\", \"1002\", \"1003\"]}'`})]}),`\n`]})})})}),_jsx(Tab,{title:`削除してテンプレートを保持`,id:`%E5%89%8A%E9%99%A4%E3%81%97%E3%81%A6%E3%83%86%E3%83%B3%E3%83%97%E3%83%AC%E3%83%BC%E3%83%88%E3%82%92%E4%BF%9D%E6%8C%81`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`9`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`9`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://verification.didit.me/v3/sessions/delete/`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"x-api-key: YOUR_API_KEY\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Content-Type: application/json\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -d`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"session_numbers\": [\"1001\", \"1002\"],`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"retain_face_embeddings\": true,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"face_retention_days\": 365,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"instruction_id\": \"post-approval-cleanup-2026-08\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }'`})}),`\n`]})})})}),_jsx(Tab,{title:`プライバシー消去`,id:`%E3%83%97%E3%83%A9%E3%82%A4%E3%83%90%E3%82%B7%E3%83%BC%E6%B6%88%E5%8E%BB`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`8`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`8`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://verification.didit.me/v3/sessions/delete/`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"x-api-key: YOUR_API_KEY\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Content-Type: application/json\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -d`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"session_numbers\": [\"1001\"],`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"deletion_instruction\": \"privacy_erasure\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"instruction_id\": \"dsar-2026-0142\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }'`})}),`\n`]})})})}),_jsx(Tab,{title:`すべて削除してジョブをポーリング`,id:`%E3%81%99%E3%81%B9%E3%81%A6%E5%89%8A%E9%99%A4%E3%81%97%E3%81%A6%E3%82%B8%E3%83%A7%E3%83%96%E3%82%92%E3%83%9D%E3%83%BC%E3%83%AA%E3%83%B3%E3%82%B0`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`8`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`8`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://verification.didit.me/v3/sessions/delete/`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"x-api-key: YOUR_API_KEY\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Content-Type: application/json\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -d`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{\"delete_all\": true}'`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`# More than 20 sessions matched: the response is 202 with a job_id.`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://verification.didit.me/v3/sessions/delete/JOB_ID/`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"x-api-key: YOUR_API_KEY\"`})]}),`\n`]})})})})]}),`\n`,_jsx(Heading,{level:`2`,id:`204レスポンスからの移行`,children:`204レスポンスからの移行`}),`\n`,_jsxs(_components.p,{children:[`今回のリリースまで、このエンドポイントは`,_jsx(_components.code,{children:`204 No Content`}),`を返していました。現在は、`,_jsx(_components.code,{children:`results[]`}),`を含む`,_jsx(_components.code,{children:`200 OK`}),`を返すか、一致するセッションが20件を超える場合は削除ジョブを含む`,_jsx(_components.code,{children:`202 Accepted`}),`を返します。`,_jsx(_components.code,{children:`204`}),`を前提としているクライアントは更新してください。デフォルトの削除動作は変わりません。既存のアプリケーションでは、ポリシーを明示的に変更するまで`,_jsx(_components.code,{children:`delete_with_session`}),`が適用されます。`]}),`\n`,_jsx(Heading,{level:`2`,id:`関連ページ`,children:`関連ページ`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.a,{href:`/ja/sessions-api/delete-session`,children:`セッションの削除`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.a,{href:`/ja/management-api/sessions/get-deletion-job`,children:`セッション削除ジョブの取得`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.a,{href:`/ja/management-api/biometric-templates/overview`,children:`生体認証テンプレート`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.a,{href:`/ja/console/data-retention`,children:`データ保持`})}),`\n`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{__snippet_AGENT_PROMPT_LABELS_1j2ntij,AgentPromptAccordion,default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"セッション一括削除API:KYCセッションの整理","sidebarTitle":"セッションの一括削除","keywords":["セッション 一括削除","セッション削除 API","KYCセッション 管理","セッションAPI","GDPR セッション削除","生体認証テンプレート 保持","Didit Management API","本人確認 API","従量課金 KYC","セッション管理 自動化"],"description":"DiditのセッションAPIで、KYCセッションをセッション番号指定または全件まとめて削除できます。20件までは各セッションの結果を返し、それ以上は削除ジョブとして実行され、ポーリングで進捗を確認します。","openapi":"ja/openapi-25.json POST /v3/sessions/delete/","href":"/ja/management-api/sessions/batch-delete"}}},"mdxSourceWithNoJs":null,"noJsSplices":[[172,2833,"undefined;const AgentPromptAccordion=()=>null;function _crea"]]},"mdxExtracts":{"tableOfContents":[{"title":"動作","slug":"動作","depth":2,"children":[]},{"title":"フィルターによるdelete_allの絞り込み","slug":"フィルターによるdelete_allの絞り込み","depth":2,"children":[]},{"title":"保持および指示のフィールド","slug":"保持および指示のフィールド","depth":2,"children":[]},{"title":"セッションごとの結果","slug":"セッションごとの結果","depth":2,"children":[]},{"title":"多数のセッションを選択した場合はジョブとして実行されます","slug":"多数のセッションを選択した場合はジョブとして実行されます","depth":2,"children":[]},{"title":"例","slug":"例","depth":2,"children":[]},{"title":"204レスポンスからの移行","slug":"204レスポンスからの移行","depth":2,"children":[]},{"title":"関連ページ","slug":"関連ページ","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":["/_mintlify/custom/didit-0f962782/5fb7c0c336c92274/snippets/data/database-validation-coverage.js","/_mintlify/custom/didit-0f962782/4ac7d3c2a19a354d/database-validation-playground.js"],"openApiReferenceData":{"operation":{"summary":"session_numberを指定してKYCセッションを一括削除","description":"DiditのセッションAPIで、KYCセッションをセッション番号指定または全件まとめて削除できます。20件までは各セッションの結果を返し、それ以上は削除ジョブとして実行され、ポーリングで進捗を確認します。","operationId":"batch_delete_sessions","x-didit-sdk":{"resource":"sessions","method":"batch_delete","auth":"api_key","server":true},"tags":["Sessions"],"security":["19e2f4de-3696-4502-86a6-c3f304c5492d"],"requestBody":"25d9af42-c01a-4a47-a8f5-47ddd978d794","responses":{"200":"7ff1efdb-b742-42b0-9442-10af882c9132","202":"21db75e2-6cc2-43b4-8eb1-83fea0ff7dd6","400":"5a0b2938-acb8-4cb4-9fc8-a2ca37442772","403":"8a1da821-9a1d-44b5-a158-700dd5e86576","409":"4f6d0dbf-f0d6-43aa-baa0-a3cb7fa42fdd","429":"05445409-6b0f-4082-b9a9-d616558465af"},"x-codeSamples":[{"lang":"curl","label":"curl","source":"curl -X POST \\\n https://verification.didit.me/v3/sessions/delete/ \\\n -H 'x-api-key: YOUR_API_KEY' \\\n -H 'Content-Type: application/json' \\\n -d '{\n \"session_numbers\": [\"1001\", \"1002\", \"1003\"]\n }'"},{"lang":"python","label":"Python","source":"from didit import Didit\n\n# Reads DIDIT_API_KEY.\nclient = Didit()\n\nresult = client.sessions.batch_delete(\n session_numbers=[\"1001\", \"1002\", \"1003\"],\n)\nprint(result)"},{"lang":"javascript","label":"Node.js","source":"import Didit from \"@didit-protocol/sdk-node\";\n\n// Reads DIDIT_API_KEY.\nconst didit = new Didit();\n\nconst result = await didit.sessions.batchDelete({\n session_numbers: [\"1001\", \"1002\", \"1003\"],\n});\nconsole.log(result);"},{"lang":"go","label":"Go","source":"ctx := context.Background()\n// Reads DIDIT_API_KEY.\nclient := didit.NewClient()\n\nresult, err := client.Sessions.BatchDelete(ctx, didit.SessionsBatchDeleteParams{\n\tSessionNumbers: didit.Some([]string{\"1001\", \"1002\", \"1003\"}),\n})\nif err != nil {\n\tlog.Fatal(err)\n}\nfmt.Printf(\"%+v\\n\", result)"},{"lang":"java","label":"Java","source":"import java.util.List;\nimport me.didit.Didit;\nimport me.didit.types.SessionsBatchDeleteParams;\n\n// Reads DIDIT_API_KEY.\nDidit client = new Didit();\n\nvar result = client.sessions().batchDelete(SessionsBatchDeleteParams.builder()\n .sessionNumbers(List.of(\"1001\", \"1002\", \"1003\"))\n .build());\nSystem.out.println(result);"},{"lang":"php","label":"PHP","source":"\u003c?php\n\nrequire 'vendor/autoload.php';\n\nuse Didit\\DiditClient;\n\n// Reads DIDIT_API_KEY.\n$didit = new DiditClient();\n\n$result = $didit->sessions->batchDelete([\n 'session_numbers' => ['1001', '1002', '1003'],\n]);\nprint_r($result->toArray());"},{"lang":"ruby","label":"Ruby","source":"require \"didit\"\n\n# Reads DIDIT_API_KEY.\ndidit = Didit::Client.new\n\nresult = didit.sessions.batch_delete(session_numbers: [\"1001\", \"1002\", \"1003\"])\nputs result.to_h"},{"lang":"csharp","label":".NET","source":"using System;\nusing System.Text.Json;\nusing Didit;\n\n// Reads DIDIT_API_KEY.\nusing var client = new DiditClient();\n\nvar result = await client.Sessions.BatchDeleteAsync(new SessionsBatchDeleteParams\n{\n SessionNumbers = new string[] { \"1001\", \"1002\", \"1003\" },\n});\nConsole.WriteLine(JsonSerializer.Serialize(result));"}],"method":"post","type":"path","servers":["166b237f-2d0d-4436-a35d-51a039191ef0"],"path":"/v3/sessions/delete/","baseUrlOptions":["https://verification.didit.me"],"title":"session_numberを指定してKYCセッションを一括削除","codeSamples":[{"label":"curl","lang":"curl","source":"curl -X POST \\\n https://verification.didit.me/v3/sessions/delete/ \\\n -H 'x-api-key: YOUR_API_KEY' \\\n -H 'Content-Type: application/json' \\\n -d '{\n \"session_numbers\": [\"1001\", \"1002\", \"1003\"]\n }'"},{"label":"Python","lang":"python","source":"from didit import Didit\n\n# Reads DIDIT_API_KEY.\nclient = Didit()\n\nresult = client.sessions.batch_delete(\n session_numbers=[\"1001\", \"1002\", \"1003\"],\n)\nprint(result)"},{"label":"Node.js","lang":"javascript","source":"import Didit from \"@didit-protocol/sdk-node\";\n\n// Reads DIDIT_API_KEY.\nconst didit = new Didit();\n\nconst result = await didit.sessions.batchDelete({\n session_numbers: [\"1001\", \"1002\", \"1003\"],\n});\nconsole.log(result);"},{"label":"Go","lang":"go","source":"ctx := context.Background()\n// Reads DIDIT_API_KEY.\nclient := didit.NewClient()\n\nresult, err := client.Sessions.BatchDelete(ctx, didit.SessionsBatchDeleteParams{\n\tSessionNumbers: didit.Some([]string{\"1001\", \"1002\", \"1003\"}),\n})\nif err != nil {\n\tlog.Fatal(err)\n}\nfmt.Printf(\"%+v\\n\", result)"},{"label":"Java","lang":"java","source":"import java.util.List;\nimport me.didit.Didit;\nimport me.didit.types.SessionsBatchDeleteParams;\n\n// Reads DIDIT_API_KEY.\nDidit client = new Didit();\n\nvar result = client.sessions().batchDelete(SessionsBatchDeleteParams.builder()\n .sessionNumbers(List.of(\"1001\", \"1002\", \"1003\"))\n .build());\nSystem.out.println(result);"},{"label":"PHP","lang":"php","source":"\u003c?php\n\nrequire 'vendor/autoload.php';\n\nuse Didit\\DiditClient;\n\n// Reads DIDIT_API_KEY.\n$didit = new DiditClient();\n\n$result = $didit->sessions->batchDelete([\n 'session_numbers' => ['1001', '1002', '1003'],\n]);\nprint_r($result->toArray());"},{"label":"Ruby","lang":"ruby","source":"require \"didit\"\n\n# Reads DIDIT_API_KEY.\ndidit = Didit::Client.new\n\nresult = didit.sessions.batch_delete(session_numbers: [\"1001\", \"1002\", \"1003\"])\nputs result.to_h"},{"label":".NET","lang":"csharp","source":"using System;\nusing System.Text.Json;\nusing Didit;\n\n// Reads DIDIT_API_KEY.\nusing var client = new DiditClient();\n\nvar result = await client.Sessions.BatchDeleteAsync(new SessionsBatchDeleteParams\n{\n SessionNumbers = new string[] { \"1001\", \"1002\", \"1003\" },\n});\nConsole.WriteLine(JsonSerializer.Serialize(result));"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated","prefillPlaygroundWithExample":true,"prefillPlaygroundExamples":[{"body.session_numbers.items.0":"1001","body.session_numbers.items.1":"1002","body.session_numbers.items.2":"1003"},{"body.delete_all":true},{"body.session_numbers.items.0":"1001","body.session_numbers.items.1":"1002","body.retain_face_embeddings.oneOf.0":true,"body.face_retention_days":365,"body.instruction_id":"post-approval-cleanup-2026-08"},{"body.session_numbers.items.0":"1001","body.deletion_instruction":"privacy_erasure","body.instruction_id":"dsar-2026-0142"},{"body.delete_all":true,"body.filter_status.oneOf.1.items.0":"Declined","body.filter_workflow_id.oneOf.0":"3fa85f64-5717-4562-b3fc-2c963f66afa6","body.filter_date_from":"2026-09-01","body.filter_date_to":"2026-09-30"}]},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"session_numbers":{"type":"array","description":"削除するKYCセッションの数値の`session_number`の値で、数字のみの文字列で指定します(JSONの数値も受け付けられ、変換されます)。`delete_all`が`true`でない限り必須で、空のリストは`400`を返します。数字以外の要素が1つでもあるとリクエスト全体が`400`で拒否されます(`delete_all`が`true`の場合は検証がスキップされ、要素は無視されます)。アプリケーション内の有効なセッションに一致しない番号は通知なくスキップされます。","items":{"type":"string","pattern":"^[0-9]+$","example":"1001","uniqueKey":"session_numbers.items.[INDEX]","typeLabel":"string"},"minItems":1,"example":["1001","1002","1003"],"uniqueKey":"session_numbers","typeLabel":"string[]"},"delete_all":{"type":"boolean","description":"`true`の場合、呼び出し元アプリケーションに残っているすべてのKYCセッションが削除され、`session_numbers`は無視されます。ただし、`filter_*`キーで対象を絞り込んだ場合は除きます。該当するセッションが20件を超える場合は削除ジョブ(`202`)として実行され、リクエストより前に作成されたセッションのみが対象になります。デフォルトは`false`です。元に戻すことはできず、確認ステップもありません。","default":false,"example":false,"uniqueKey":"delete_all","typeLabel":"boolean"},"retain_face_embeddings":{"oneOf":[{"type":"boolean","description":"この削除について、アプリケーションの`face_retention_policy`を上書きします。`true`の場合、セッションの削除後も、画像を含まない顔の生体認証テンプレートを1つ、セッションのユーザーに紐付けて保持します。`false`の場合、顔エンベディングはセッションとともに削除されます。省略するか`null`にすると、アプリケーションのポリシーに従います。KYBセッション、および顔エンベディングのないセッションでは無視されます。","example":true,"uniqueKey":"retain_face_embeddings.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"この削除について、アプリケーションの`face_retention_policy`を上書きします。`true`の場合、セッションの削除後も、画像を含まない顔の生体認証テンプレートを1つ、セッションのユーザーに紐付けて保持します。`false`の場合、顔エンベディングはセッションとともに削除されます。省略するか`null`にすると、アプリケーションのポリシーに従います。KYBセッション、および顔エンベディングのないセッションでは無視されます。","example":true,"uniqueKey":"retain_face_embeddings.oneOf.1","typeLabel":"null"}],"uniqueKey":"retain_face_embeddings","typeLabel":"boolean | null"},"face_retention_days":{"type":"integer","minimum":1,"maximum":3650,"description":"保持されるテンプレートの有限の保持期間(日数)です。テンプレートを保持する場合は必須です。ただし、アプリケーションですでに`face_retention_days`が設定されている場合を除きます。テンプレートの`expires_at`は、この期間、アプリケーションの一般的なデータ保持期間、`face_retention_deadline`のうち最も早いものになります。","example":365,"uniqueKey":"face_retention_days","typeLabel":"integer"},"face_retention_deadline":{"type":"string","format":"date-time","description":"保持されるテンプレートの任意の強制有効期限です。未来の日時である必要があります。","example":"2027-08-28T00:00:00Z","uniqueKey":"face_retention_deadline","typeLabel":"string\u003cdate-time>"},"deletion_instruction":{"type":"string","enum":["operational_session_delete","privacy_erasure"],"default":"operational_session_delete","description":"指示の種類。`operational_session_delete`はセッションを削除し、ポリシーまたは`retain_face_embeddings`で指定されている場合にのみテンプレートを保持します。`privacy_erasure`は、セッションのユーザーに紐づく保持済みの生体認証テンプレートをすべて完全に削除してからセッションを削除します。アプリケーションのポリシーで上書きすることはできず、`retain_face_embeddings: true`と組み合わせることもできません(`400`)。","example":"operational_session_delete","uniqueKey":"deletion_instruction","typeLabel":"enum\u003cstring>"},"instruction_id":{"type":"string","maxLength":255,"description":"この削除指示に対するお客様の永続的な参照ID(例: 消去チケットのID)です。監査証跡と、保持されるテンプレートに記録されます。省略した場合はDiditが生成します。","example":"dsar-2026-0142","uniqueKey":"instruction_id","typeLabel":"string"},"filter_status":{"oneOf":[{"type":"string","description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`status`フィルターに同じ値で一致するセッションに絞り込みます。カンマ区切りの文字列または配列で指定します。`delete_all`を指定しない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","uniqueKey":"filter_status.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"filter_status.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`status`フィルターに同じ値で一致するセッションに絞り込みます。カンマ区切りの文字列または配列で指定します。`delete_all`を指定しない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","uniqueKey":"filter_status.oneOf.1","typeLabel":"string[]"}],"uniqueKey":"filter_status","typeLabel":"string | string[]"},"filter_vendor_data":{"description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`vendor_data`フィルターに同じ値で一致するセッションに絞り込みます。リストではなく1つの値です。配列は1つのカンマ区切りテキストに結合されるため、複数の値がそれぞれの候補として照合されることはありません。`delete_all`を指定しない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","type":"string","uniqueKey":"filter_vendor_data","typeLabel":"string"},"filter_search":{"description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`search`フィルターに同じ値で一致するセッションに絞り込みます。リストではなく1つの値です。配列は1つのカンマ区切りテキストに結合されるため、複数の値がそれぞれの候補として照合されることはありません。`delete_all`を指定しない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","type":"string","uniqueKey":"filter_search","typeLabel":"string"},"filter_workflow_id":{"oneOf":[{"type":"string","description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`workflow_id`フィルターに同じ値で一致するセッションに絞り込みます。カンマ区切りの文字列または配列で指定します。`delete_all`を指定しない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","uniqueKey":"filter_workflow_id.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"filter_workflow_id.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`workflow_id`フィルターに同じ値で一致するセッションに絞り込みます。カンマ区切りの文字列または配列で指定します。`delete_all`を指定しない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","uniqueKey":"filter_workflow_id.oneOf.1","typeLabel":"string[]"}],"uniqueKey":"filter_workflow_id","typeLabel":"string | string[]"},"filter_date_from":{"description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`date_from`フィルターに同じ値で一致するセッションに絞り込みます。値は1つで、リストではありません。配列は1つのカンマ区切りの値に結合されるため、複数の値は`400`で拒否されます。`delete_all`がない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","type":"string","format":"date","uniqueKey":"filter_date_from","typeLabel":"string\u003cdate>"},"filter_date_to":{"description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`date_to`フィルターに同じ値で一致するセッションに絞り込みます。値は1つで、リストではありません。配列は1つのカンマ区切りの値に結合されるため、複数の値は`400`で拒否されます。`delete_all`がない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","type":"string","format":"date","uniqueKey":"filter_date_to","typeLabel":"string\u003cdate>"},"filter_country":{"oneOf":[{"type":"string","description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`country`フィルターに同じ値で一致するセッションに絞り込みます。カンマ区切りの文字列または配列で指定します。`delete_all`がない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","uniqueKey":"filter_country.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"filter_country.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`country`フィルターに同じ値で一致するセッションに絞り込みます。カンマ区切りの文字列または配列で指定します。`delete_all`がない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","uniqueKey":"filter_country.oneOf.1","typeLabel":"string[]"}],"uniqueKey":"filter_country","typeLabel":"string | string[]"},"filter_document_type":{"oneOf":[{"type":"string","description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`document_type`フィルターに同じ値で一致するセッションに絞り込みます。カンマ区切りの文字列または配列で指定します。`delete_all`がない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","uniqueKey":"filter_document_type.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"filter_document_type.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`document_type`フィルターに同じ値で一致するセッションに絞り込みます。カンマ区切りの文字列または配列で指定します。`delete_all`がない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","uniqueKey":"filter_document_type.oneOf.1","typeLabel":"string[]"}],"uniqueKey":"filter_document_type","typeLabel":"string | string[]"},"filter_document_name":{"oneOf":[{"type":"string","description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`document_name`フィルターに同じ値で一致するセッションに絞り込みます。カンマ区切りの文字列または配列で指定します。`delete_all`がない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","uniqueKey":"filter_document_name.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"filter_document_name.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`document_name`フィルターに同じ値で一致するセッションに絞り込みます。カンマ区切りの文字列または配列で指定します。`delete_all`がない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","uniqueKey":"filter_document_name.oneOf.1","typeLabel":"string[]"}],"uniqueKey":"filter_document_name","typeLabel":"string | string[]"},"filter_region":{"oneOf":[{"type":"string","description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`region`フィルターに同じ値で一致するセッションに絞り込みます。カンマ区切りの文字列または配列で指定します。`delete_all`を指定しない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","uniqueKey":"filter_region.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"filter_region.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`region`フィルターに同じ値で一致するセッションに絞り込みます。カンマ区切りの文字列または配列で指定します。`delete_all`を指定しない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","uniqueKey":"filter_region.oneOf.1","typeLabel":"string[]"}],"uniqueKey":"filter_region","typeLabel":"string | string[]"},"filter_didit_internal_id":{"description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`didit_internal_id`フィルターに同じ値で一致するセッションに絞り込みます。値は1つで、リストではありません。配列は1つのカンマ区切りの値に結合されるため、複数の値は`400`で拒否されます。`delete_all`がない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","type":"string","format":"uuid","uniqueKey":"filter_didit_internal_id","typeLabel":"string\u003cuuid>"},"filter_session_type":{"oneOf":[{"type":"string","description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`session_type`フィルターに同じ値で一致するセッションに絞り込みます。カンマ区切りの文字列または配列で指定します。`delete_all`を指定しない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","uniqueKey":"filter_session_type.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"filter_session_type.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`session_type`フィルターに同じ値で一致するセッションに絞り込みます。カンマ区切りの文字列または配列で指定します。`delete_all`を指定しない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","uniqueKey":"filter_session_type.oneOf.1","typeLabel":"string[]"}],"uniqueKey":"filter_session_type","typeLabel":"string | string[]"},"filter_api_service":{"description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`api_service`フィルターに同じ値で一致するセッションに絞り込みます。値は1つで、リストではありません。配列は1つのカンマ区切りの値に結合されるため、複数の値は`400`で拒否されます。`delete_all`がない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","type":"string","uniqueKey":"filter_api_service","typeLabel":"string"},"filter_screened_full_name":{"description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`screened_full_name`フィルターに同じ値で一致するセッションに絞り込みます。リストではなく1つの値です。配列は1つのカンマ区切りテキストに結合されるため、複数の値がそれぞれの候補として照合されることはありません。`delete_all`を指定しない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","type":"string","uniqueKey":"filter_screened_full_name","typeLabel":"string"},"filter_warning":{"oneOf":[{"type":"string","description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`warning`フィルターに同じ値で一致するセッションに絞り込みます。カンマ区切りの文字列または配列で指定します。`delete_all`を指定しない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","uniqueKey":"filter_warning.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"filter_warning.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`warning`フィルターに同じ値で一致するセッションに絞り込みます。カンマ区切りの文字列または配列で指定します。`delete_all`を指定しない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","uniqueKey":"filter_warning.oneOf.1","typeLabel":"string[]"}],"uniqueKey":"filter_warning","typeLabel":"string | string[]"},"filter_status_initialized_as_in_review":{"description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`status_initialized_as_in_review`フィルターに同じ値で一致するセッションに絞り込みます。`delete_all`を指定しない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","type":"boolean","uniqueKey":"filter_status_initialized_as_in_review","typeLabel":"boolean"},"filter_is_kyc_to_be_reviewed":{"description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`is_kyc_to_be_reviewed`フィルターに同じ値で一致するセッションに絞り込みます。`delete_all`がない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","type":"boolean","uniqueKey":"filter_is_kyc_to_be_reviewed","typeLabel":"boolean"},"filter_euuid":{"description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`euuid`フィルターに同じ値で一致するセッションに絞り込みます。値は1つで、リストではありません。配列は1つのカンマ区切りの値に結合されるため、複数の値は`400`で拒否されます。`delete_all`がない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","type":"string","format":"uuid","uniqueKey":"filter_euuid","typeLabel":"string\u003cuuid>"},"filter_organization_name":{"oneOf":[{"type":"string","description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`organization_name`フィルターに同じ値で一致するセッションに絞り込みます。カンマ区切りの文字列または配列で指定します。APIキーを使用する場合は自組織の名前にしか一致しないため、すべてのセッションが選択されるか、1件も選択されないかのいずれかになります。`delete_all`を指定しない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","uniqueKey":"filter_organization_name.oneOf.0","typeLabel":"string"},{"type":"array","items":{"type":"string","uniqueKey":"filter_organization_name.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"`delete_all`の対象を、[List Sessions](/ja/sessions-api/list-sessions)の`organization_name`フィルターに同じ値で一致するセッションに絞り込みます。カンマ区切りの文字列または配列で指定します。APIキーを使用する場合は自組織の名前にしか一致しないため、すべてのセッションが選択されるか、1件も選択されないかのいずれかになります。`delete_all`を指定しない場合は無視されます。空の値は無視され、選択範囲は絞り込まれません。","uniqueKey":"filter_organization_name.oneOf.1","typeLabel":"string[]"}],"uniqueKey":"filter_organization_name","typeLabel":"string | string[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Specific sessions":{"title":"Specific sessions","value":{"session_numbers":["1001","1002","1003"]}},"All sessions":{"title":"All sessions","value":{"delete_all":true}},"Delete and retain templates":{"title":"Delete and retain templates","value":{"session_numbers":["1001","1002"],"retain_face_embeddings":true,"face_retention_days":365,"instruction_id":"post-approval-cleanup-2026-08"}},"Privacy erasure":{"title":"Privacy erasure","value":{"session_numbers":["1001"],"deletion_instruction":"privacy_erasure","instruction_id":"dsar-2026-0142"}},"Filtered delete_all":{"title":"Filtered delete_all","value":{"delete_all":true,"filter_status":["Declined"],"filter_workflow_id":"3fa85f64-5717-4562-b3fc-2c963f66afa6","filter_date_from":"2026-09-01","filter_date_to":"2026-09-30"}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"7ff1efdb-b742-42b0-9442-10af882c9132":{"description":"最大20件のセッションが一致し、リクエスト内で処理されました。一致したセッションごとに1件の結果が返ります。何にも一致しなかった番号(不明または削除済み)はスキップされ、結果に含まれません。結果は削除の完了を示しますが、`face_retention_outcome`が`failed_retryable`の場合は例外です。そのセッションは削除されておらず、再試行する必要があります。","content":{"application/json":{"schema":{"type":"object","properties":{"results":{"type":"array","items":{"type":"object","properties":{"session_id":{"type":"string","format":"uuid","description":"削除されたセッションです。","uniqueKey":"results.items.[INDEX].session_id","typeLabel":"string\u003cuuid>"},"session_number":{"oneOf":[{"type":"integer","description":"削除されたセッションの番号です。","uniqueKey":"results.items.[INDEX].session_number.oneOf.0","typeLabel":"integer"},{"type":"null","description":"削除されたセッションの番号です。","uniqueKey":"results.items.[INDEX].session_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].session_number","typeLabel":"integer | null"},"face_retention_outcome":{"type":"string","enum":["retained_with_user","deleted","none","ineligible_no_vendor_user","failed_retryable"],"description":"セッションの顔生体データがどう処理されたか。`deleted`: 顔エンベディングはセッションとともに削除されました(デフォルト)。`retained_with_user`: セッションは削除され、画像を含まない生体認証テンプレートが1件Userに紐付いて残ります。`biometric_template_uuid`を参照してください。`none`: セッションに顔エンベディングがありませんでした(例: ライブネスのセルフィーがない書類のみのKYCセッション。KYBセッションがこのエンドポイントで選択されることはありません)。`ineligible_no_vendor_user`: 保持がリクエストされましたが、セッションに紐付くUserがないため、エンベディングはセッションとともに削除されました。`failed_retryable`(バッチエンドポイントのみ): このセッションと一緒に削除されるグループを削除できませんでした(ストレージサービス、生体データストア、またはモニタリングプロバイダーが利用できませんでした)。このセッションはそのまま残っているため、このセッションについてリクエストを再度実行してください。","uniqueKey":"results.items.[INDEX].face_retention_outcome","typeLabel":"enum\u003cstring>"},"biometric_template_uuid":{"oneOf":[{"type":"string","format":"uuid","description":"`face_retention_outcome`が`retained_with_user`の場合に保持された生体認証テンプレートのID。それ以外の場合は`null`です。`/v3/biometric-templates/{template_uuid}/`で管理します。","uniqueKey":"results.items.[INDEX].biometric_template_uuid.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","format":"uuid","description":"`face_retention_outcome`が`retained_with_user`の場合に保持された生体認証テンプレートのID。それ以外の場合は`null`です。`/v3/biometric-templates/{template_uuid}/`で管理します。","uniqueKey":"results.items.[INDEX].biometric_template_uuid.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].biometric_template_uuid","typeLabel":"string\u003cuuid> | null"},"biometric_template_expires_at":{"oneOf":[{"type":"string","format":"date-time","description":"`face_retention_outcome`が`retained_with_user`の場合に、保持された生体認証テンプレートが削除される日時。テンプレートが保持されていない場合は`null`です。","uniqueKey":"results.items.[INDEX].biometric_template_expires_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"`face_retention_outcome`が`retained_with_user`の場合に、保持された生体認証テンプレートが削除される日時。テンプレートが保持されていない場合は`null`です。","uniqueKey":"results.items.[INDEX].biometric_template_expires_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].biometric_template_expires_at","typeLabel":"string\u003cdate-time> | null"},"deleted_child_verifications":{"type":"integer","description":"このエンドポイントはKYCセッションのみを削除するため、常に`0`です。`DELETE /v3/session/{sessionId}/delete/`で法人確認 (KYB)セッションを削除すると、そのセッションが作成し、一緒に削除された認証が報告されます。","uniqueKey":"results.items.[INDEX].deleted_child_verifications","typeLabel":"integer"}},"uniqueKey":"results.items.[INDEX]","typeLabel":"object"},"uniqueKey":"results","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Mixed outcomes":{"title":"Mixed outcomes","value":{"results":[{"session_id":"4c5c7f3a-3b1d-4b7e-9c39-2b4f7e6a1d02","session_number":1001,"face_retention_outcome":"deleted","biometric_template_uuid":null,"biometric_template_expires_at":null,"deleted_child_verifications":0},{"session_id":"b8e1d2c3-4f5a-4b6c-8d7e-9f0a1b2c3d4e","session_number":1002,"face_retention_outcome":"retained_with_user","biometric_template_uuid":"9d2f4b6e-1c3a-4e8f-b7d5-0a1c2e3f4a5b","biometric_template_expires_at":"2027-10-09T10:15:00Z","deleted_child_verifications":0},{"session_id":"7a1e9c2d-5f4b-4c3a-8e2d-1b0a9f8e7d6c","session_number":1003,"face_retention_outcome":"ineligible_no_vendor_user","biometric_template_uuid":null,"biometric_template_expires_at":null,"deleted_child_verifications":0},{"session_id":"c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f","session_number":1004,"face_retention_outcome":"failed_retryable","biometric_template_uuid":null,"biometric_template_expires_at":null,"deleted_child_verifications":0}]}}},"exampleType":"examples"}},"exampleType":"examples"},"21db75e2-6cc2-43b4-8eb1-83fea0ff7dd6":{"description":"20件を超えるセッションが一致しました。これらはバックグラウンドで削除されます。`status`が`COMPLETED`または`FAILED`になるまで`GET /v3/sessions/delete/{job_id}/`をポーリングしてください。","content":{"application/json":{"schema":{"type":"object","description":"バックグラウンドで実行中のセッション一括削除。進捗と結果ごとの件数を示しますが、どのセッションを削除したかは示しません。","properties":{"job_id":{"type":"string","format":"uuid","description":"このIDを使用して`GET /v3/sessions/delete/{job_id}/`をポーリングします。","uniqueKey":"job_id","typeLabel":"string\u003cuuid>"},"status":{"type":"string","enum":["PENDING","PROCESSING","COMPLETED","FAILED"],"description":"`PENDING`:受け付け済みで、まだ開始されていません。`PROCESSING`:削除中で、`processed`と`outcomes`が更新されています。`COMPLETED`:選択されたすべてのセッションの処理が完了しました。`FAILED`:ジョブが途中で停止しました。`error`を参照してください。","uniqueKey":"status","typeLabel":"enum\u003cstring>"},"total":{"type":"integer","description":"削除がリクエストされた時点で選択されていたセッション。","uniqueKey":"total","typeLabel":"integer"},"processed":{"type":"integer","description":"ジョブがこれまでに処理を完了したセッション。","uniqueKey":"processed","typeLabel":"integer"},"outcomes":{"type":"object","description":"各結果で終了したセッションの数。すべてのキーが常に含まれます。","properties":{"deleted":{"type":"integer","description":"顔エンベディングとともに削除されたセッション。","uniqueKey":"outcomes.deleted","typeLabel":"integer"},"none":{"type":"integer","description":"削除されたセッションのうち、顔エンベディングがなかったもの。","uniqueKey":"outcomes.none","typeLabel":"integer"},"retained_with_user":{"type":"integer","description":"リクエストまたはアプリケーションのポリシーの指定に従い、画像を含まない生体認証テンプレートを1つそのユーザー用に保持したうえで削除されたセッション。","uniqueKey":"outcomes.retained_with_user","typeLabel":"integer"},"ineligible_no_vendor_user":{"type":"integer","description":"保持がリクエストされたものの、紐付けられたユーザーがいなかったため、顔エンベディングとともに削除されたセッション。","uniqueKey":"outcomes.ineligible_no_vendor_user","typeLabel":"integer"},"failed_retryable":{"type":"integer","description":"削除されなかったと報告されたセッション。ジョブは自身で削除できなかったグループをここに計上せず、再試行します。","uniqueKey":"outcomes.failed_retryable","typeLabel":"integer"},"already_deleted":{"type":"integer","description":"選択されたセッションのうち、ジョブが処理する時点で、別のリクエストなどによりすでに削除されていたセッションです。","uniqueKey":"outcomes.already_deleted","typeLabel":"integer"}},"uniqueKey":"outcomes","typeLabel":"object"},"deleted_child_verifications":{"type":"integer","description":"削除された法人確認によって作成され、それとあわせて削除された認証です。`POST /v3/sessions/delete/`で開始されたジョブはKYCセッションのみを削除するため、常に`0`です。","uniqueKey":"deleted_child_verifications","typeLabel":"integer"},"error":{"oneOf":[{"type":"string","description":"通常は`null`で、`status`が`FAILED`の場合のみ削除が停止した理由が入ります。ジョブが到達していなかったセッションはそのまま残っています。それらを削除するには、リクエストを再度送信してください。","uniqueKey":"error.oneOf.0","typeLabel":"string"},{"type":"null","descript
[...]
